Myeclipse2014 已有项目更换JDK

原先项目使用JDK是1.7,今天项目加入了一个新包,只支持JAVA8,让我们都升级一下本地的JDK,我突然发现我还没有在myeclipse上升级过JDK呢。捣鼓了一下,也不难,记录一下。

1.下载java8安装。过程略。

java -version

查询一下,安装成功。

2.再查一下1.8的安装路径

cmd 输入:java -verbose

打印了一堆jar包,随便找一个看就知道1.8路径了

 

3.配置myeclipse中的tomcat的JDK版本

Window - preferences

如图,左边选择 Myeclipse - Servers - Tomcat 7.x(你项目中用的那个Tomcat) - JDK

右边Tomcat 7.x JDK name 看看下拉菜单有没有,没有就点右边的Add

弹出的窗口后,JRE home 上填上前面java -verbose查出来的JRE路径。

下面不用填,你路径填写正确后是自动加载的(图中原先我已经填过了,所以提示已经存在)。

 

4.更换项目的JDK版本

右键你的项目名 - properties

左边 JAVA build Path

右边 Libraries

选中下面的JRE system Library[1.7]

点最右边的Edit,弹出窗口中Alternate JRE中选项1.8版本的jdk。

然后finish,ok,就换完了。然后重启项目即可。

(并没有完,少改了一个东西,第二天就出问题了....解决方法看下面)

 

5.修改已安装的JRE

回到Windows - preferences,左边选JAVA - Installed JREs

右边 把JRE1.8打上勾,ok就行。一般按照上面的步骤假如jre后这里是会有的。如果没有就点右边的add加入就行。

 

posted @ 2017-11-02 15:00  李狐同学  阅读(4063)  评论(0编辑  收藏  举报